Bug 1365600 - Volume affinity in OCP 3.2
Summary: Volume affinity in OCP 3.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 3.2.1
Assignee: Andy Goldstein
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1356010
Blocks: 1267746
TreeView+ depends on / blocked
 
Reported: 2016-08-09 16:18 UTC by Scott Dodson
Modified: 2019-12-16 06:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1356010
Environment:
The PersistentVolumeLabel admission plugin is now enabled by default. This plugin labels AWS and GCE volumes with their zone so the scheduler can limit the nodes for a pod to only those in the same zone as the persistent volumes being used by the pod.
Last Closed: 2016-09-12 17:36:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1853 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.2 security update and bug fix update 2016-09-12 21:33:16 UTC

Comment 2 Troy Dawson 2016-08-18 19:18:00 UTC
This has been merged into ose and is in OSE v3.3.0.22 or newer.

Comment 7 Weihua Meng 2016-08-19 01:33:17 UTC
waiting for new build.
latest build is 3.2.1.13 since 20160806.

Comment 8 Weihua Meng 2016-09-01 02:19:37 UTC
Verified.
openshift v3.2.1.15
kubernetes v1.2.0-36-g4a3f9c5
etcd 2.2.5

Events:
  FirstSeen	LastSeen	Count	From			SubobjectPath	Type		Reason			Message
  ---------	--------	-----	----			-------------	--------	------			-------
  10s		7s		2	{default-scheduler }			Warning		FailedScheduling	pod (podpvc14) failed to fit in any node
fit failure on node (ip-10-203-206-138.ec2.internal): NoVolumeZoneConflict
fit failure on node (ip-10-47-141-23.ec2.internal): NoVolumeZoneConflict

Comment 10 errata-xmlrpc 2016-09-12 17:36:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1853


Note You need to log in before you can comment on or make changes to this bug.